Groovy JDK

## java.lang
Class Enum

Method Summary
`Object` | `next()` This method is called by the ++ operator for enums.
`Object` | `previous()` This method is called by the -- operator for enums.

Method Detail

### next

    public Object next()

  This method is called by the ++ operator for enums. It will invoke Groovy's default next behaviour for enums do not have their own next method (Only works with JDK1.5 or later).

Returns:
  the next defined enum from the enum class

### previous

    public Object previous()

  This method is called by the -- operator for enums. It will invoke Groovy's default previous behaviour for enums that do not have their own previous method (Only works with JDK1.5 or later).

Returns:
  the previous defined enum from the enum class

Groovy JDK